package com.fr.plugin.third.party.ksdbaag.config;


import com.fr.config.*;
import com.fr.config.holder.Conf;
import com.fr.config.holder.factory.Holders;

/**
 * 配置数据保存
 */
@Visualization(category = "登录集成配置")
public class CustomDataConfig extends DefaultConfiguration {
    public String getNameSpace() {
        return this.getClass().getName();
    }

    private static volatile CustomDataConfig config = null;

    public static CustomDataConfig getInstance() {
        if (config == null) {
            config = ConfigContext.getConfigInstance(CustomDataConfig.class);
        }
        return config;
    }


    @Identifier(value = "accessTokenUrl", name = "获取用户信息地址", description = "", status = Status.SHOW)
    private Conf<String> accessTokenUrl = Holders.simple("");

    @Identifier(value = "frUrl", name = "报表地址", description = "", status = Status.SHOW)
    private Conf<String> frUrl = Holders.simple("");


    public String getAccessTokenUrl() {
        return accessTokenUrl.get();
    }

    public void setAccessTokenUrl(String accessTokenUrl) {
        this.accessTokenUrl.set(accessTokenUrl);
    }

    public String getFrUrl() {
        return frUrl.get();
    }

    public void setFrUrl(String frUrl) {
        this.frUrl.set(frUrl);
    }


    @Override
    public Object clone() throws CloneNotSupportedException {
        CustomDataConfig cloned = (CustomDataConfig) super.clone();
        cloned.frUrl = (Conf<String>) frUrl.clone();
        cloned.accessTokenUrl = (Conf<String>) accessTokenUrl.clone();

        return cloned;
    }
}
